<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@07073=80</action>
    </script>
  </cheat>

  <cheat desc="Infinite Helps">
    <script state="run">
      <action>maincpu.pb@0708C=04</action>
    </script>
  </cheat>

  <cheat desc="Free Selection Mode"> <comment>You can select all visible pieces, even if they are internal.</comment>
    <script state="on">
      <action>temp0 =maincpu.md@49D87</action>
      <action>temp1 =maincpu.md@49E80</action>
      <action>temp2 =maincpu.md@2A131</action>
      <action>temp3 =maincpu.md@2A1FF</action>
    </script>
    <script state="run">
      <action>maincpu.md@49D87=00000000|(maincpu.md@49D87 BAND ~00FFFFFF)</action>
      <action>maincpu.md@49E80=00000000|(maincpu.md@49E80 BAND ~00FFFFFF)</action> <!-- Sexy Girls, 2nd tile -->
      <action>maincpu.md@2A131=00000000|(maincpu.md@2A131 BAND ~00FFFFFF)</action> <!-- Rong Rong,  1st tile -->
      <action>maincpu.md@2A1FF=00000000|(maincpu.md@2A1FF BAND ~00FFFFFF)</action> <!-- Rong Rong,  2nd tile -->
    </script>
    <script state="off">
      <action>maincpu.md@49D87=temp0 </action>
      <action>maincpu.md@49E80=temp1 </action>
      <action>maincpu.md@2A131=temp2 </action>
      <action>maincpu.md@2A1FF=temp3 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Finish this Round Now! PL1">
    <script state="on">
      <action>maincpu.pb@0706F=00</action>
    </script>
  </cheat>

  <cheat desc="Finish this Round Now! PL2">
    <script state="on">
      <action>maincpu.pb@070CB=00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
